Skip to content

Workflow-templates API ​

由 scripts/generate-api-docs.ts 自动生成 —— 请勿手改 共 14 个端点

GET /workflow-templates ​

无描述

响应 ​

状态码说明
200

GET /workflow-templates/category/{category} ​

无描述

请求参数 ​

参数名位置类型必填说明
categorypathstring✅
limitquerynumber✅

响应 ​

状态码说明
200

POST /workflow-templates/create ​

无描述

请求体 ​

json
{
  "$ref": "#/components/schemas/CreateWorkflowTemplateDto"
}

响应 ​

状态码说明
201

DELETE /workflow-templates/detail/{templateId} ​

无描述

请求参数 ​

参数名位置类型必填说明
templateIdpathstring✅

响应 ​

状态码说明
200

GET /workflow-templates/detail/{templateId} ​

无描述

请求参数 ​

参数名位置类型必填说明
templateIdpathstring✅

响应 ​

状态码说明
200

PUT /workflow-templates/detail/{templateId} ​

无描述

请求参数 ​

参数名位置类型必填说明
templateIdpathstring✅

请求体 ​

json
{
  "$ref": "#/components/schemas/UpdateWorkflowTemplateDto"
}

响应 ​

状态码说明
200

POST /workflow-templates/detail/{templateId}/create-workflow ​

无描述

请求参数 ​

参数名位置类型必填说明
templateIdpathstring✅

请求体 ​

json
{
  "$ref": "#/components/schemas/CreateWorkflowFromTemplateDto"
}

响应 ​

状态码说明
201

POST /workflow-templates/detail/{templateId}/duplicate ​

无描述

请求参数 ​

参数名位置类型必填说明
templateIdpathstring✅

响应 ​

状态码说明
201

POST /workflow-templates/detail/{templateId}/publish ​

无描述

请求参数 ​

参数名位置类型必填说明
templateIdpathstring✅

响应 ​

状态码说明
201

POST /workflow-templates/detail/{templateId}/rate ​

无描述

请求参数 ​

参数名位置类型必填说明
templateIdpathstring✅

响应 ​

状态码说明
201

POST /workflow-templates/export/{workflowId} ​

无描述

请求参数 ​

参数名位置类型必填说明
workflowIdpathstring✅

请求体 ​

json
{
  "$ref": "#/components/schemas/CreateWorkflowTemplateDto"
}

响应 ​

状态码说明
201

GET /workflow-templates/recommend ​

无描述

请求参数 ​

参数名位置类型必填说明
limitquerynumber✅

响应 ​

状态码说明
200

GET /workflow-templates/stats ​

无描述

响应 ​

状态码说明
200

GET /workflow-templates/user/my-templates ​

无描述

请求参数 ​

参数名位置类型必填说明
pagequerynumber✅
limitquerynumber✅

响应 ​

状态码说明
200

Released under the MIT License.